Kodi Community Forum
Release Amazon VOD [plugin.video.amazon[vod|-test]] - Printable Version

Kodi Community Forum (https://forum.kodi.tv)
+-- Forum: Support (https://forum.kodi.tv/forumdisplay.php?fid=33)
+--- Forum: Add-on Support (https://forum.kodi.tv/forumdisplay.php?fid=27)
+---- Forum: Video Add-ons (https://forum.kodi.tv/forumdisplay.php?fid=154)
---- Thread: Release Amazon VOD [plugin.video.amazon[vod|-test]] (/showthread.php?tid=349255)

Pages: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Karellen - 2020-02-20

@Varstahl
@Smallmountains

Just a reminder of our VPN policy (wiki) thanks. We don't want fault finding and support for VPN's.

Thanks.


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Smallmountains - 2020-02-20

(2020-02-20, 02:13)Varstahl Wrote: It's a login issue, which might or might not be related to the VPN you're using. Another user reported some time ago the same issue, but without the login logs we couldn't check further. Along with the main log another file should have been generated, something like "avod-login". That contains the login form which is failing for you and/or the reason why it's failing. If you could post it somewhere, we'll take a look at it.
I see two files here called avod-login.log and avod-login-mfa.log
avod-login.log
avod-login-mfa.log


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Varstahl - 2020-02-20

(2020-02-20, 02:30)Prof Yaffle Wrote: Merely reminding everyone of our VPN policy (wiki). This isn't a VPN support forum, so bear that in mind, please: demonstrate a problem without the VPN installed/enabled, and all is well...
(2020-02-20, 02:30)Karellen Wrote: Just a reminder of our VPN policy (wiki) thanks. We don't want fault finding and support for VPN's.

I know, but thanks for the reminder, so the others know too.

(2020-02-20, 03:22)Smallmountains Wrote: I see two files here called avod-login.log and avod-login-mfa.log
avod-login.logavod-login-mfa.log

Perfect, we'll take a look.


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Smallmountains - 2020-02-20

(2020-02-20, 10:13)Varstahl Wrote:
(2020-02-20, 02:30)Prof Yaffle Wrote: Merely reminding everyone of our VPN policy (wiki). This isn't a VPN support forum, so bear that in mind, please: demonstrate a problem without the VPN installed/enabled, and all is well...
(2020-02-20, 02:30)Karellen Wrote: Just a reminder of our VPN policy (wiki) thanks. We don't want fault finding and support for VPN's.

I know, but thanks for the reminder, so the others know too.
(2020-02-20, 03:22)Smallmountains Wrote: I see two files here called avod-login.log and avod-login-mfa.log
avod-login.logavod-login-mfa.log

Perfect, we'll take a look. 
Last night I nuked the whole box and reloaded everything from scratch. No VPN installed...for the VPN Phobics. Same thing, no difference. I go through the captcha process and have to choose how to get my verification, and it errors out.

BTW, there's nothing wrong with running behind a VPN. I'm a victim of identity theft so everything I do is done over a VPN now. So if that's deal breaker then I'll not worry about Amazon VOD. Amazon never makes me verify with a captcha or any such BS when I login from my Windows or Linux devices, over my VPN, so why should it care now?


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Varstahl - 2020-02-20

It's not related and it's not about the VPN per se. It's just that bypassing geo-fencing is illegal in several countries, so obviously the Kodi mods have to take a safe stance, which is reasonable. I've only mentioned it because a few times our users had a misconfigured one that rerouted traffic where it shouldn't, but I don't think this is the case and I've already submitted the logs here. The authentications change somewhat based on the country/infrastructure, so I have to wait for my partner in crime to look into it, it might take a bit.


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - DarrenHill - 2020-02-20

At the risk of derailing the thread for a moment, it's not VPN phobia. We do not ban them, we just don't support them, as detailed in the aforementioned VPN policy (wiki).

The simple reason is that Kodi does not need one to operate, and a high percentage of the times when VPNs are used specifically for Kodi are for applications which would violate our piracy policy (wiki) either through bypassing geoblocking or to attempt to hide the usage of banned addons (wiki) from ISP monitoring. Those are applications we want nothing to do with or association with.

You are quite correct that there are legitimate reasons to use VPNs, but they are more general (at a device level) than for use with Kodi. Hence their usage is beyond the scope of this forum to support (especially when they screw up how Kodi works), hence we ask that where Kodi issues etc are reported on such devices, any such VPN is disabled and it is confirmed whether those are the issue sources.

Also more generally we do not offer support for VPN issues as for paid commercial VPNs then you're paying for their support anyway (as you are for "free" VPNs as well, although you're paying for those anyway via your data etc), and for home-brewed ones then if you're savvy enough to set one of those up then you can debug it too (or at least there are better and more topic-specific forums than this one for such situations).

Anyway, now back to your regularly scheduled Amazon VOD...


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Roby77 - 2020-03-02

Hi , just a question does this plugin compatible with python 3 ? Can't enable on Milhouse build 0301


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Varstahl - 2020-03-02

(2020-03-02, 14:49)Roby77 Wrote: Hi , just a question does this plugin compatible with python 3 ? Can't enable on Milhouse build 0301

Yes, it's been developed and tested with Kodi 19 and Py3 support. It uses some python modules that are often bundled with other addons though, and we had users reporting collisions especially with BeautifulSoup4. You'd have to take a look at the logs if it's not working.


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Roby77 - 2020-03-02

(2020-03-02, 15:12)Varstahl Wrote:
(2020-03-02, 14:49)Roby77 Wrote: Hi , just a question does this plugin compatible with python 3 ? Can't enable on Milhouse build 0301

Yes, it's been developed and tested with Kodi 19 and Py3 support. It uses some python modules that are often bundled with other addons though, and we had users reporting collisions especially with BeautifulSoup4. You'd have to take a look at the logs if it's not working.

Thank You

Nevermind it disabled other add-on compatible with python 3 probably a bug of kodi build

(BTW will check Kodi log)

Thank you again for this add-on


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Roby77 - 2020-03-02

@Varstahl sorry to bother you again but it seems that it's not full python 3 compatible

I link a reply from @Milhouse

https://forum.kodi.tv/showthread.php?tid=343069&pid=2928564#pid2928564


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Milhouse - 2020-03-02

@Varstahl the problem is that https://github.com/xbmc/xbmc/pull/17188 merged yesterday, which means the python 2.24.0 ABI supported by the Amazon add-on results in the add-on being marked as incompatible on Kodi 19 systems that only provide the python 3.0.0 ABI.


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Varstahl - 2020-03-02

Fuck, I just read the PR, that makes supporting Kodi 18+ impossible. @Roby77 for the immediate you should be able to fix the issue by changing the version to 3.0.0 into addon.xml, like so:

Code:
<import addon="xbmc.python" version="3.0.0"/>

For the future we might need to drop support for Kodi 18… This sucks, I don't know, we'll see.


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Roby77 - 2020-03-02

(2020-03-02, 16:41)Varstahl Wrote: Fuck, I just read the PR, that makes supporting Kodi 18+ impossible. @Roby77 for the immediate you should be able to fix the issue by changing the version to 3.0.0 into addon.xml, like so:
Code:
<import addon="xbmc.python" version="3.0.0"/>

For the future we might need to drop support for Kodi 18… This sucks, I don't know, we'll see.   
thank you!

I modified it and restarted Nuc, now i can enable it but it doesn't start  cause the dependencies are not updated ?

do you want a log ?


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Varstahl - 2020-03-02

Dang it, that's true, you probably need to do the same for pyDES and MechanicalSoup as well. I forgot about them.


RE: Amazon VOD [plugin.video.amazon[vod|-test]] - Milhouse - 2020-03-02

(2020-03-02, 16:41)Varstahl Wrote: I just read the PR, that makes supporting Kodi 18+ impossible.
Maybe not impossible, but it now appears that two development branches will be required even though the only difference is the ABI version in addon.xml. At least in the longer term you can stop worrying about dual Python2 and Python3 language support in a single add-on, as this can become a drag.


This forum uses Lukasz Tkacz MyBB addons.